// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	// Change recipes here
})

onEvent('item.tags', event => {
	// Modify Tags
	event.get('minecraft:piglin_loved').add('creatia:golden_frog')
	event.get('minecraft:piglin_loved').add('creatia:golden_ticket')
	event.get('minecraft:piglin_loved').add('supplementaries:gold_gate')
	event.get('minecraft:piglin_loved').add('storagedrawers:drawer_key')
})

onEvent('block.tags', event => {
	event.get('minecraft:piglin_repellents').add('decorative_blocks:soul_brazier')
	event.get('minecraft:piglin_repellents').add('decorative_blocks:soul_chandelier')
	event.get('minecraft:climbable').add('outer_end:azure_ladder')
	event.get('minecraft:climbable').add('endergetic:poise_ladder')
	event.get('minecraft:dragon_immune').add('endergetic:eumus_brick_stairs')
	event.get('minecraft:dragon_immune').add('supplementaries:end_stone_lamp')
	event.get('minecraft:dragon_immune').add('minecraft:purple_stained_glass_pane')
	event.get('minecraft:dragon_immune').add('endergetic:chiseled_end_stone_bricks')
	event.get('minecraft:dragon_immune').add('endergetic:glowing_poise_stem')
	event.get('minecraft:dragon_immune').add('endergetic:eumus_brick_slab')
	event.get('minecraft:dragon_immune').add('endergetic:chiseled_eumus_bricks')
	event.get('minecraft:dragon_immune').add('endergetic:poise_ladder')
	event.get('minecraft:dragon_immune').add('endergetic:eumus_bricks')
})